# $Revision: 1.12 $, $Date: 2004/05/08 18:49:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Tiger
Summary:	Digest::Tiger - Tiger hash implementation
Summary(pl):	Digest::Tiger - implementacja skrtu Tiger
Name:		perl-Digest-Tiger
Version:	0.02
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f72ea5b048b87300f5c906ecc3fb436e
Patch0:		%{name}-amd64.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Digest::Tiger Perl module implements the Tiger hash, which returns a
192-bit hash value.

%description -l pl
Modu Perla Digest::Tiger jest implementacj funkcji mieszajcej
Tiger, zwracajcej warto 192-bitow.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Digest/Tiger.pm
%dir %{perl_vendorarch}/auto/Digest/Tiger
%{perl_vendorarch}/auto/Digest/Tiger/autosplit.ix
%{perl_vendorarch}/auto/Digest/Tiger/Tiger.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Tiger/Tiger.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-Tiger.spec,v $
Revision 1.12  2004/05/08 18:49:01  qboosh
- added amd64 patch, release 4

Revision 1.11  2004/05/07 01:09:20  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:32  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/05 11:01:47  ankry
- tests added, cosmetics

Revision 1.8  2004/04/20 06:55:52  ankry
- better summary/description, license fixes and unification

Revision 1.7  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:05:43  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:31:51  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 21:51:13  qboosh
- new

